ant安装、环境变量配置及验证

一、安装ant

到官方主页http://ant.apache.org下载新版(目前为Ant1.8.1)的ant,得到的是一个apache-ant-1.8.1-bin.zip的压缩包。将其解压到你的硬盘上,例如:C:\apache-ant-1.8.1。

二、配置环境变量

window中设置ant环境变量:

ANT_HOME    C:/ apache-ant-1.8.1

path             C:/ apache-ant-1.8.1/bin

classpath      C:/apache-ant-1.8.1/lib

注意:

 配置环境变量:我的电脑----属性-----高级----环境变量     如:ANT_HOME:C:\apache-ant-1.8.1     PATH:%ANT_HOME%\bin (为了方便在dos环境下操作)

    实验了总是失败,没办法换成地址 C:/ apache-ant-1.8.1/bin,而不再使用变量。。。成功了。。

三、验证ant

为了验证ant是否成功安装,可以进行如下操作:

依次选择:开始->运行->cmd,输入如下命令:ant

如果出现如下内容,说明安装成功:

Buildfile: build.xml does not exist!

Build failed

【说明ant安装成功!因为ant默认运行build.xml文件,这个文件需要我们建立。】

查看版本:ant  -version

但如果出现如下内容,说明安装失败:(可以重复前述步骤,直至安装成功。)

'ant' 不是内部或外部命令,也不是可运行的程序或批处理文件。

从别处移动过来的:

使用: ( 1 )在D盘根目录下建立build.xml

1<?xml version="1.0" encoding="GBK"?>
2<project name="测试脚本" default="copyfile" basedir="." >
3   <target name="copyfile">
4      <copy file="d:/a.txt" todir="e:/Temp" overwrite="true" />
5   </target>
6</project>

(2)在D盘根目录下建立文件a.txt。 (3)进入dos,          d:          ant

         此时可在E:/Temp目录下见到文件aa.txt,内容与a.txt一样,即拷贝成功!

本文参与腾讯云自媒体分享计划,欢迎正在阅读的你也加入,一起分享。

发表于

我来说两句

0 条评论
登录 后参与评论

相关文章

来自专栏遊俠扎彪

inux (CentOS 5.6) 安装 Sun JDK (切换自带OpenJDK)

可根据需要卸载不需要的JDK Version

1888
来自专栏前端开发

利用代码破解宝塔面板使用专业版

首先安装宝塔面板免费版,一键环境后,不要登录宝塔官网账号绑定,直接运行专业版升级指令。

7544
来自专栏Zachary46

CenOS服务器配置Java JDK

http://www.oracle.com/technetwork/java/javase/archive-139210.html 选择你心仪的版本,我这边安...

943
来自专栏cloudskyme

三步学会用spring开发OSGI——(第三步:web篇)

接下来就是我们要创建的web工程了,为了简单,我们直接利用virgo所带的模板来新建工程,控制层使用的是spring mvc 3。 创建web工程 打开STS,...

3289
来自专栏difcareer的技术笔记

编译nexus5的linux kernel源码

ubuntu14.04编译android4.4对应的linux内核 中讲述了适用于模拟器的linux kernel源码编译。适用于真机的有一些不同。为了能够对比...

532
来自专栏Pythonista

centos7安装python3 以及tab补全功能

网址:https://www.python.org/downloads/release/python-362/

582
来自专栏WindCoder

ubuntu14.04下java安装及环境配置

这可以说是一篇迟到的文章,几个月前就说要写,结果拖到了现在。中间由于系统打不开等一系列原因,不得不重装了一遍,这次环境配置是出了点小问题,最后奉上。

642
来自专栏AIUAI

Ubuntu - openmpi 源码安装

3428
来自专栏散尽浮华

libc.so.6: version 'GLIBC_2.14' not found报错提示的解决方案

线上一台服务器在执行leveldb程序的时候,报错:"libc.so.6: version `GLIBC_2.14' not found"。 排查原因及解决方法...

4624
来自专栏电光石火

centos上安装gradle

1222

扫码关注云+社区